//---------------------------------------------------------------------------

#ifndef CStatistiqueH
#define CStatistiqueH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include "pOperation.h"
//---------------------------------------------------------------------------
class TvAStatistiques : public TForm
{
__published:	// Composants gérés par l'EDI
    TButton *bMoyenneLoc;
    TButton *bNombreLoc;
    TButton *bNombreCamion;
    TButton *bNombreTondeuse;
    TButton *bNombrePelleteuse;
    TButton *bCamionPoidsTotal;
    TButton *bVitesseTondaison;
    TButton *bPelleteusePoidsTotal;
    TStringGrid *sgResultat;
    void __fastcall bMoyenneLocClick(TObject *Sender);
    void __fastcall bNombreLocClick(TObject *Sender);
    void __fastcall bNombreCamionClick(TObject *Sender);
    void __fastcall bNombreTondeuseClick(TObject *Sender);
    void __fastcall bNombrePelleteuseClick(TObject *Sender);
    void __fastcall bCamionPoidsTotalClick(TObject *Sender);
    void __fastcall bPelleteusePoidsTotalClick(TObject *Sender);
    void __fastcall bVitesseTondaisonClick(TObject *Sender);
private:	// Déclarations utilisateur
public:		// Déclarations utilisateur
    __fastcall TvAStatistiques(TComponent* Owner);
    void __fastcall FenetreNormale( void );
    void __fastcall FenetreGrid( void );
    void __fastcall NombreLocationMateriel(TTypeMateriel Materiel);
};
#endif
 